kind: ServiceMeshControlPlane
apiVersion: maistra.io/v2
metadata:
  name: basic
  namespace: istio-system
spec:
  version: v2.2
  tracing:
    type: Jaeger
    sampling: 10000
  policy:
    type: Istiod
  telemetry:
    type: Istiod
  addons:
    jaeger:
      install:
        storage:
          type: Elasticsearch
          elasticsearch:
            nodeCount: 2
    prometheus:
      enabled: true
    kiali:
      enabled: true
    grafana:
      enabled: true
